# pspsysmem.h File Reference

`#include <pspkerneltypes.h>`

Include dependency graph for pspsysmem.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef int | SceKernelSysMemAlloc_t

## Enumerations

enum | PspSysMemBlockTypes { PSP_SMEM_Low = 0, PSP_SMEM_High, PSP_SMEM_Addr }
| Specifies the type of allocation used for memory blocks. More...

## Functions

SceUID | sceKernelAllocPartitionMemory (SceUID partitionid, const char *name, int type, SceSize size, void *addr)
| Allocate a memory block from a memory partition.
int | sceKernelFreePartitionMemory (SceUID blockid)
| Free a memory block allocated with sceKernelAllocPartitionMemory.
void * | sceKernelGetBlockHeadAddr (SceUID blockid)
| Get the address of a memory block.
SceSize | sceKernelTotalFreeMemSize (void)
| Get the total amount of free memory.
SceSize | sceKernelMaxFreeMemSize (void)
| Get the size of the largest free memory block.
int | sceKernelDevkitVersion (void)
| Get the firmware version.